dofile( "data/scripts/lib/utilities.lua" )

local entity_id    = GetUpdatedEntityID()
local pos_x, pos_y = EntityGetTransform( entity_id )

local angle = math.rad(Random(0,359))
local length = 3000

local vel_x = math.cos( angle ) * length
local vel_y = 0 - math.sin( angle ) * length



edit_component( entity_id, "DamageModelComponent", function(comp,vars)
    
	health = tonumber(ComponentGetValue( comp, "hp")) - 0.025
	if (health < 0) then 
		health=0
		ComponentSetValue( comp, "air_in_lungs", -50 )
		ComponentSetValue( comp, "air_in_lungs_max", 1 )
		ComponentSetValue( comp, "air_needed", 1 )
		ComponentSetValue( comp, "air_lack_of_damage", 1 )
	end
	
    ComponentSetValue( comp, "hp", health )
end)    

shoot_projectile( entity_id, "mods/spell pack/files/actions/INSECT_CLOAK_ray.xml", pos_x, pos_y, vel_x, vel_y )



